# $Revision: 1.17 $, $Date: 2008/07/27 22:42:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Fleximal
Summary:	Math::Fleximal - Integers with flexible representations
Summary(pl.UTF-8):	Math::Fleximal - liczby całkowite z elastyczną reprezentacją
Name:		perl-Math-Fleximal
Version:	0.06
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	885a886fd7d9e4e21dab121348ff39ac
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package for doing integer arithmetic while using a different
base representation than normal. In base n arithmetic you have n
symbols which have a representation. Author was going to call them
"glyphs", but being text strings they are not really. On Tye McQueen's
whimsical suggestion the author settled on the name Math::Fleximal,
the set of text representations is called a "flex", and the
representation of individual digits are the "flecks". These names are
somewhat unofficial... This allows you to do basic arithmetic using
whatever digits you want, and to convert from one to another. Like
Math::BigInt it is able to handle very large numbers, though
performance is not very good.

%description -l pl.UTF-8
Ten pakiet służy do arytmetyki na liczbach całkowitych przy użyciu
innej niż normalna reprezentacji. W arytmetyce o podstawie n jest n
symboli mających reprezentację. Autor zamierzał nazwać je "glifami",
ale jako że są to łańcuchy tekstowe, nie była to najlepsza nazwa.
Po dziwnej sugestii Tye McQueena moduł został nazwany Math::Fleximal,
zbiór tekstowych reprezentacji "fleksem", a reprezentacje pojedynczych
cyfr "flekami". Te nazwy nie są oficjalne... Moduł pozwala na
wykonywanie podstawowych działań arytmetycznych przy użyciu dowolnych
cyfr i przeliczanie ich między różnymi reprezentacjami. Podobnie do
Math::BigInt moduł może liczyć na bardzo dużych liczbach, ale
wydajność nie jest najlepsza.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/Fleximal.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Fleximal.spec,v $
Revision 1.17  2008/07/27 22:42:53  arekm
- release 2

Revision 1.16  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.14  2005/05/30 11:12:50  petec
- up to 0.06

Revision 1.13  2004/11/03 22:30:34  paladine
- formatting

Revision 1.12  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/23 07:50:17  ankry
- license fixes, unification

Revision 1.9  2003/11/01 10:46:33  qboosh
- updated to 0.05, switched to Module::Build, new-style bcond

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:17  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:37  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 15:04:55  qboosh
- new
